
/*******************************************
Interfaz de modulo: vehiculo
Realiza la gestin del uso compartido de los vehculos,
registrando los siguientes datos
  - Datos cliente
  - Datos Vehculo
  - Fechas de alta y baja activacin vehculo
a travs de las siguiente funciones/procedimientos:
  - Alta nuevo cliente
  - Alta nuevo vehculo
  - Activar vehculo
  - Devolver vehculo
  - Resumen mensual
**********************************************************************/
#pragma once


/* Constante con el mximo de clientes y vehiculos permitidas en la prctica */

const int maxClientes=50;
const int maxVehiculo=20;
const int maxNombre=10;
const int maxApellido=20;
const int maxDescripVeh=20;
const int maxRadio=10000;
const int maxAngulo=360;


/* Definicion de tipos */

typedef enum TipoVehiculo {coche, bicicleta, patinete};
typedef char TipoNombre [maxNombre];
typedef char TipoApellido [maxApellido];
typedef char TipoDescripVehiculo [maxDescripVeh];


typedef struct TipoFecha {
  int dia;
  int mes;
  int anho;
};

typedef struct TipoHorario {
  int hora;
  int minuto;
};

typedef struct TipoCliente {
  int IdCliente;
  TipoNombre nombre;
  TipoApellido apellido;
};

typedef TipoCliente TipoVectorCliente [maxClientes];

typedef struct TipoMenu {
  /* Procedimiento alta cliente */
  void AltaCliente(TipoVectorCliente vectorClientes);
  /*-- Procedimiento para inicializar el vector vectorClientes --*/
  void InicializarVectorClientes(TipoVectorCliente vectorClientes);
  /*-- Procedimiento para inicializar el registro de clientes --*/
  void InicializarCliente(TipoCliente &cliente);
};
